CLASS MACHINE
 
CATEGORY !!PKIClient

  CATEGORY !!GENERAL

    POLICY !!SingleLogon
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!SingleLogon_help
      PART !!SingleLogon NUMERIC
        VALUENAME "SingleLogon"
	      MIN 0 MAX 1 DEFAULT 0
      END PART
      PART !!SingleLogonTimeout NUMERIC
        VALUENAME "SingleLogonTimeout"
	      MIN 0 DEFAULT 0
      END PART
    END POLICY

    POLICY !!SoftwareSlots
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!SoftwareSlots_help
      PART !!SoftwareSlots NUMERIC
        VALUENAME "SoftwareSlots"
        MIN 0 DEFAULT 2
      END PART
    END POLICY

    POLICY !!PcscSlots
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!PcscSlots_help
      PART !!PcscSlots NUMERIC
        VALUENAME "PcscSlots"
        MIN 0 DEFAULT 8
      END PART
    END POLICY

    POLICY !!EnablePrvCache
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!EnablePrvCache_help
      PART !!EnablePrvCache NUMERIC
        VALUENAME "EnablePrvCache"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    
    POLICY !!TolerantFinalize
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!TolerantFinalize_help
      PART !!TolerantFinalize NUMERIC
        VALUENAME "TolerantFinalize"
        MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY

    POLICY !!TolerantX509Attributes
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!TolerantX509Attributes_help
      PART !!TolerantX509Attributes NUMERIC
        VALUENAME "TolerantX509Attributes"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!TolerantFindObjects
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!TolerantFindObjects_help
      PART !!TolerantFindObjects NUMERIC
        VALUENAME "TolerantFindObjects"
	      MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY

    POLICY !!EtvLogoffUnplug
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!EtvLogoffUnplug_help
      PART !!EtvLogoffUnplug NUMERIC
        VALUENAME "EtvLogoffUnplug"
	      MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY
    
    POLICY !!SensitiveSecret
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\GENERAL"
      EXPLAIN !!SensitiveSecret_help
      PART !!SensitiveSecret NUMERIC
        VALUENAME "SensitiveSecret"
	      MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY
    
  END CATEGORY ;GENERAL

  CATEGORY !!SyncPin

    POLICY !!domain
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\SyncPin"
      EXPLAIN !!domain_help
      PART !!domain EDITTEXT
        VALUENAME "domain"
      END PART
    END POLICY

  END CATEGORY ;SyncPin

  CATEGORY !!INIT

    POLICY !!HMAC-SHA1
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!HMAC-SHA1_help
      PART !!HMAC-SHA1 NUMERIC
        VALUENAME "HMAC-SHA1"
	      MIN 0 MAX 1
      END PART
    END POLICY

    POLICY !!RSA-2048
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!RSA-2048_help
      PART !!RSA-2048 NUMERIC
        VALUENAME "RSA-2048"
	MIN 0 MAX 1
      END PART
    END POLICY

    POLICY !!RSA-AREA-SIZE
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!RSA-AREA-SIZE_help
      PART !!RSA-AREA-SIZE NUMERIC
        VALUENAME "RSA-AREA-SIZE"
	MIN 0 MAX 1
      END PART
    END POLICY

    POLICY !!LEGACY-FORMAT-VERSION
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!LEGACY-FORMAT-VERSION_help
      PART !!LEGACY-FORMAT-VERSION DROPDOWNLIST
        VALUENAME "LEGACY-FORMAT-VERSION"
        ITEMLIST 
             NAME "4"   VALUE NUMERIC 4 DEFAULT
             NAME "5"   VALUE NUMERIC 5
             NAME "0"   VALUE NUMERIC 0
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!RSASecondaryAuthenicationMode
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!RSASecondaryAuthenicationMode_help
      PART !!RSASecondaryAuthenicationMode NUMERIC
        VALUENAME "RSASecondaryAuthenicationMode"
	      MIN 0 MAX 1
      END PART
    END POLICY

    POLICY !!PrivateDataCaching
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Init"
      EXPLAIN !!PrivateDataCaching_help
      PART !!PrivateDataCaching NUMERIC
        VALUENAME "PrivateDataCaching"
	      MIN 0 MAX 1
      END PART
    END POLICY

  END CATEGORY ;INIT

  CATEGORY !!InitApp

    POLICY !!AdvancedView
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\InitApp"
      EXPLAIN !!AdvancedView_help
      PART !!AdvancedView NUMERIC
        VALUENAME "AdvancedView"
	MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

      POLICY !!ShowInTray
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\InitApp"
      EXPLAIN !!ShowInTray_help
      PART !!ShowInTray NUMERIC
        VALUENAME "ShowInTray"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

  END CATEGORY ;InitApp

  CATEGORY !!UI

    POLICY !!UseDefaultPassword
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\UI"
      EXPLAIN !!UseDefaultPassword_help
      PART !!UseDefaultPassword NUMERIC
        VALUENAME "UseDefaultPassword"
	      MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY

    POLICY !!ShowDecimalSerial
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\UI"
      EXPLAIN !!ShowDecimalSerial_help
      PART !!ShowDecimalSerial NUMERIC
        VALUENAME "ShowDecimalSerial"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

  END CATEGORY ;UI
  
  CATEGORY !!CAPI

    POLICY !!PasswordTimeout
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CAPI"
      EXPLAIN !!PasswordTimeout_help
      PART !!PasswordTimeout NUMERIC
        VALUENAME "PasswordTimeout"
        MIN 0 DEFAULT 0
      END PART
    END POLICY

    POLICY !!LogoutMode
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CAPI"
      EXPLAIN !!LogoutMode_help
      PART !!LogoutMode NUMERIC
        VALUENAME "LogoutMode"
        MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY  
    
    POLICY !!AsciiPassword
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CAPI"
      EXPLAIN !!AsciiPassword_help
      PART !!AsciiPassword NUMERIC
        VALUENAME "AsciiPassword"
        MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY
    
    CATEGORY !!IEXPLORER

      POLICY !!NoDefaultKeyContainer
        KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CAPI\IEXPLORER.EXE"
        EXPLAIN !!NoDefaultKeyContainer_help
        PART !!NoDefaultKeyContainer NUMERIC
          VALUENAME "NoDefaultKeyContainer"
          MIN 0 MAX 1 DEFAULT 1
        END PART
      END POLICY

    END CATEGORY ;IEXPLORER

  END CATEGORY ;CAPI

  CATEGORY !!CertStore

    POLICY !!PropagateUserCertificates
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!PropagateUserCertificates_help
      PART !!PropagateUserCertificates NUMERIC
        VALUENAME "PropagateUserCertificates"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!PropagateCACertificates
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!PropagateCACertificates_help
      PART !!PropagateCACertificates NUMERIC
        VALUENAME "PropagateCACertificates"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!SynchronizeStore
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!SynchronizeStore_help
      PART !!SynchronizeStore NUMERIC
        VALUENAME "SynchronizeStore"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!RemoveUserCertsOnTokenRemove
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!RemoveUserCertsOnTokenRemove_help
      PART !!RemoveUserCertsOnTokenRemove NUMERIC
        VALUENAME "RemoveUserCertsOnTokenRemove"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!AddToTokenOnNewCertInStore
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!AddToTokenOnNewCertInStore_help
      PART !!AddToTokenOnNewCertInStore NUMERIC
        VALUENAME "AddToTokenOnNewCertInStore"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!RemoveFromStoreOnRemoveFromToken
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!RemoveFromStoreOnRemoveFromToken_help
      PART !!RemoveFromStoreOnRemoveFromToken NUMERIC
        VALUENAME "RemoveFromStoreOnRemoveFromToken"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

    POLICY !!RemoveFromTokenOnRemoveFromStore
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!RemoveFromTokenOnRemoveFromStore_help
      PART !!RemoveFromTokenOnRemoveFromStore DROPDOWNLIST
        VALUENAME "RemoveFromTokenOnRemoveFromStore"
        ITEMLIST 
          NAME "Never" VALUE NUMERIC 0 DEFAULT 
          NAME "Always" VALUE NUMERIC 1
          NAME "Template dependent" VALUE NUMERIC 2
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!RemoveFromTokenOnRemoveFromStoreTemplates
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!RemoveFromTokenOnRemoveFromStoreTemplates_help
      PART !!RemoveFromTokenOnRemoveFromStoreTemplates EDITTEXT
        VALUENAME "RemoveFromTokenOnRemoveFromStoreTemplates"
      END PART
    END POLICY

    POLICY !!CertsToRemoveStorePeriod
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\CertStore"
      EXPLAIN !!CertsToRemoveStorePeriod_help
      PART !!CertsToRemoveStorePeriod NUMERIC
        VALUENAME "CertsToRemoveStorePeriod"
        DEFAULT 7
      END PART
    END POLICY

  END CATEGORY ;CertStore

  CATEGORY !!MONITOR

    POLICY !!NotifyPasswordExpiration
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\Monitor"
      EXPLAIN !!NotifyPasswordExpiration_help
      PART !!NotifyPasswordExpiration NUMERIC
        VALUENAME "NotifyPasswordExpiration"
        MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

  END CATEGORY ;MONITOR

  CATEGORY !!PQ

    POLICY !!pqMinLen
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqMinLen_help
      PART !!pqMinLen NUMERIC
        VALUENAME "pqMinLen"
	      DEFAULT 6
        MIN 4
      END PART
    END POLICY

    POLICY !!pqMixChars
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqMixChars_Help
      PART !!pqMixChars DROPDOWNLIST
        VALUENAME "pqMixChars"
        ITEMLIST 
          NAME "Auto"   VALUE NUMERIC 1 DEFAULT
          NAME "Manual" VALUE NUMERIC 0
        END ITEMLIST 
      END PART
    END POLICY
    
    POLICY !!pqMaxAge
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqMaxAge_help
      PART !!pqMaxAge NUMERIC
        VALUENAME "pqMaxAge"
	      MIN 0 DEFAULT 0
      END PART
    END POLICY
 
    POLICY !!pqMinAge
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqMinAge_help
      PART !!pqMinAge NUMERIC
        VALUENAME "pqMinAge"
        MIN 0 DEFAULT 0
      END PART
    END POLICY
 
    POLICY !!pqWarnPeriod
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqWarnPeriod_help
      PART !!pqWarnPeriod NUMERIC
        VALUENAME "pqWarnPeriod"
        MIN 0 DEFAULT 0
      END PART
    END POLICY

    POLICY !!pqHistorySize
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqHistorySize_help
      PART !!pqHistorySize NUMERIC
        VALUENAME "pqHistorySize"
        MIN 0 DEFAULT 10
      END PART
    END POLICY

    POLICY !!pqNumbers
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqNumbers_help
      PART !!pqNumbers DROPDOWNLIST
        VALUENAME "pqNumbers"
        ITEMLIST 
          NAME "Permitted" VALUE NUMERIC 0 DEFAULT
          NAME "Forbidden" VALUE NUMERIC 1
          NAME "Mandatory" VALUE NUMERIC 2
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!pqLowerCase
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqLowerCase_help
      PART !!pqLowerCase DROPDOWNLIST
        VALUENAME "pqLowerCase"
        ITEMLIST 
          NAME "Permitted" VALUE NUMERIC 0 DEFAULT
          NAME "Forbidden" VALUE NUMERIC 1
          NAME "Mandatory" VALUE NUMERIC 2
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!pqUpperCase
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqUpperCase_help
      PART !!pqUpperCase DROPDOWNLIST
        VALUENAME "pqUpperCase"
        ITEMLIST 
          NAME "Permitted" VALUE NUMERIC 0 DEFAULT
          NAME "Forbidden" VALUE NUMERIC 1
          NAME "Mandatory" VALUE NUMERIC 2
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!pqSpecial
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqSpecial_help
      PART !!pqSpecial DROPDOWNLIST
        VALUENAME "pqSpecial"
        ITEMLIST 
          NAME "Permitted" VALUE NUMERIC 0 DEFAULT
          NAME "Forbidden" VALUE NUMERIC 1
          NAME "Mandatory" VALUE NUMERIC 2
        END ITEMLIST 
      END PART
    END POLICY

    POLICY !!pqMaxRepeated
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqMaxRepeated_help
      PART !!pqMaxRepeated NUMERIC
        VALUENAME "pqMaxRepeated"
        MIN 0 MAX 16 DEFAULT 3
      END PART
    END POLICY

    POLICY !!pqCheckInit
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqCheckInit_help
      PART !!pqCheckInit NUMERIC
        VALUENAME "pqCheckInit"
        MIN 0 MAX 1 DEFAULT 0
      END PART
    END POLICY
    
    POLICY !!pqModifiable
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqModifiable_help
      PART !!pqModifiable NUMERIC
        VALUENAME "pqModifiable"
        MIN 0 MAX 1
      END PART
    END POLICY

    POLICY !!pqOwner
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\PQ"
      EXPLAIN !!pqOwner_help
      PART !!pqOwner DROPDOWNLIST
        VALUENAME "pqOwner"
        ITEMLIST 
          NAME "administrator" VALUE NUMERIC 0 DEFAULT
          NAME "user" VALUE NUMERIC 1
        END ITEMLIST 
      END PART
    END POLICY

  END CATEGORY ;PQ

  CATEGORY !!UIAC

    POLICY !!AccessControl
      KEYNAME "SOFTWARE\Policies\Aladdin\eToken\MIDDLEWARE\AccessControl"
      EXPLAIN !!AccessControl_help
      PART ChangePassword NUMERIC
        VALUENAME "ChangePassword"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART RenameToken NUMERIC
        VALUENAME "RenameToken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART UnlockEtoken NUMERIC
        VALUENAME "UnlockEtoken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ClearEToken NUMERIC
        VALUENAME "ClearEToken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ViewTokenInfo NUMERIC
        VALUENAME "ViewTokenInfo"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART DisconnectVirtual NUMERIC
        VALUENAME "DisconnectVirtual"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART OpenAdvancedView NUMERIC
        VALUENAME "OpenAdvancedView"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART AddeTokenVirtual NUMERIC
        VALUENAME "AddeTokenVirtual"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ManageReaders NUMERIC
        VALUENAME "ManageReaders"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART InitializeEToken NUMERIC
        VALUENAME "InitializeEToken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ImportCertificate NUMERIC
        VALUENAME "ImportCertificate"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ClearDefaultCert NUMERIC
        VALUENAME "ClearDefaultCert"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART DeleteCertificate NUMERIC
        VALUENAME "DeleteCertificate"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ExportCertificate NUMERIC
        VALUENAME "ExportCertificate"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART CopyCertificateData NUMERIC
        VALUENAME "CopyCertificateData"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART SetCertificateAsDefault NUMERIC
        VALUENAME "SetCertificateAsDefault"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART SetCertificateAsAuxilary NUMERIC
        VALUENAME "SetCertificateAsAuxilary"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART LoginAsAdministrator NUMERIC
        VALUENAME "LoginAsAdministrator"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ChangeAdministratorPassword NUMERIC
        VALUENAME "ChangeAdministratorPassword"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART SetUserPassword NUMERIC
        VALUENAME "SetUserPassword"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART LaunchNGFlashPartitionApplication NUMERIC
        VALUENAME "LaunchNGFlashPartitionApplication"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART ChangeInitializationKeyDuringInitialize NUMERIC
        VALUENAME "ChangeInitializationKeyDuringInitialize"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART OpenAdvancedModeOfInitialize NUMERIC
        VALUENAME "OpenAdvancedModeOfInitialize"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART TrayIconClearEToken NUMERIC
        VALUENAME "TrayIconClearEToken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART OpeneTokenProperties NUMERIC
        VALUENAME "OpeneTokenProperties"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART TrayIconChangePassword NUMERIC
        VALUENAME "TrayIconChangePassword"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART SwitcheToken NUMERIC
        VALUENAME "SwitcheToken"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART About NUMERIC
        VALUENAME "About"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART Hide NUMERIC
        VALUENAME "Hide"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART GenerateOTP NUMERIC
        VALUENAME "GenerateOTP"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
      PART SyncDomainAndTokenPass NUMERIC
        VALUENAME "SyncDomainAndTokenPass"
	      MIN 0 MAX 1 DEFAULT 1
      END PART
    END POLICY

  END CATEGORY ;UIAC

END CATEGORY ;PKIClient

[strings]
PKIClient="eToken PKI Client Settings"
GENERAL="General Settings"
SyncPin="Change Token/Domain Password Settings"
INIT="Initialization Settings"
InitApp="eToken Properties Settings"
CAPI="CAPI Settings"
IEXPLORER="IEXPLORER.EXE"
CertStore="Certificate Store Settings"
MONITOR="Monitor Settings"
PQ="eToken Password Quality Policies"
UI="UI Settings"
UIAC="UI Access Control List"

;General settings
SingleLogon="Single Logon"
SingleLogon_help="Single Logon:\nDetermines if the user password is requested only once by eToken Properties\nDoes not apply to other applications\n\n Note:\n If Single Logon Timeout is > 0, Single Logon is automatically set to 1 (True).\n\nValues:\n• 1 (True) - User password is requested only once\n• 0 (False)- User password is requested as needed\n\n- Default is 0 (False)\n\n\nSingle Logon Timeout:\nDetermines the timeout, in seconds, of Single Logon\n\nValues:\n• >=0\n  (0 – No timeout)\n\n- Default is 0"
SingleLogonTimeout="Single Logon Timeout"

SoftwareSlots="Software Slots"
SoftwareSlots_help="Determines the number of software slots \n\nValues:\n• 0-10\n  (0 = eToken Virtual is disabled; only physical tokens are enabled)\n\n- Default is 2"

PcscSlots="PCSC Slots"
PcscSlots_help="Determines the number of PC/SC slots \n\nValues:\n• 0-16\n  (0 = Physical tokens are disabled; only eToken Virtual is enabled)\n\n- Default is 8"
 
EnablePrvCache="Enable Private Cache"
EnablePrvCache_help="Determines if eToken PKI Client is enabled to cache private data in per process memory\n\nIf enabled, private data is cached if one of the following conditions is met:\n• The token was initialized with the private data caching option\n• The PrivateDataCaching registry key is not set to 0\n\nValues:\n• 1 (True) - Private data caching is enabled\n• 0 (False)- Private data caching is disabled\n\n- Default is 1 (True)"

TolerantFinalize="Tolerant Finalize"
TolerantFinalize_help="Determines if C_Finalize can be called by DllMain\nDefine this property per process.\n\n Note:\n Enable TolerantFinalize when using Novell Modular Authentication Service (NMAS) applications only.\n\nValues:\n• 1 (True) - C_Finalize can be called by DllMain\n• 0 (False)- C_Finalize cannot be called by DllMain\n\n- Default is 0 (False)"

TolerantX509Attributes="Tolerant X509 Attributes"
TolerantX509Attributes_help="Determines if CKA_SERIAL_NUMBER, CKA_SUBJECT, and CKA_ISSUER attributes can differ from those in CKA_VALUE during certificate creation\n\n Notes:\n Ensure that TolerantX509Attributes is True when using certificates created in a non- DER encoded binary x.509 format.\n In some earlier eToken PKI Client versions, TolerantX509Attributes was False by default.\n\nValues:\n• 1 (True) - The attributes can differ\n• 0 (False)- Check that the values match\n\n- Default is 1 (True)"

TolerantFindObjects="Tolerant Find Objects"
TolerantFindObjects_help="Determines if PKCS#11 tolerates a 'Find' function with an invalid template, returning an empty list instead of an error\n\nValues:\n• 1 (True) - A Find function with an invalid template is tolerated and returns an empty list\n• 0 (False)- A Find function with an invalid template is not tolerated and returns an error\n\n- Default is 0 (False)"

EtvLogoffUnplug="eToken Virtual Disconnect on Logoff"
EtvLogoffUnplug_help="Determines if an eToken Virtual is disconnected when logging off\n\nValues:\n• 1 (True) - Disconnect the eToken Virtual during logoff\n• 0 (False)- Do not disconnect the eToken Virtual during logoff \n\n- Default is 0 (False)"

SensitiveSecret="Protect Symmetric Keys"
SensitiveSecret_help="Determines if symmetric keys are protected\n\n Note:\n If True, symmetric keys cannot be extracted, even non-sensitive ones\n\nValues:\n• 1 (True) – Symmetric keys cannot be extracted\n• 0 (False)- Symmetric keys can be extracted\n\n- Default is 0 (False)"

;Change Token/Domain Password
domain="Domain"
domain_help="Determines if synchronization is enabled between the eToken Password and the domain password\n\nValues:\n• Name of the domain (written without a suffix) whose password is synchronized with the eToken Password\n• None - Password synchronization is not enabled"

;INIT Settings
HMAC-SHA1="Load OTP Support"
HMAC-SHA1_help="Determines if the 'Load OTP Support' option, required by OTP tokens, is enabled\n\nValues:\n• 1 (True) - Load OTP Support is enabled\n• 0 (False)- Load OTP Support is disabled\n\n- Default is\n• 1 (True) for OTP tokens\n• 0 (False) for other tokens"
RSA-2048="RSA-2048"
RSA-2048_help="Determines if the 'RSA-2048 Support' option is enabled\n\nValues:\n• 1 (True) - RSA-2048 Support is enabled\n• 0 (False)- RSA-2048 Support is disabled\n\n- Default is 0 (False)"
RSA-AREA-SIZE="RSA Area Size"
RSA-AREA-SIZE_help="Determines the size, in bytes, of the area to reserve for RSA keys on CardOS-based tokens\nThe size of the area allocated on the token is determined during token initialization, and cannot be modified without re-initializing the token.\n\nValues:\n• >=0\n  (0 = RSA keys may not be created on a token)\n\n- Default depends on the token size:\n• For 16K tokens, enough bytes for three 1024-bits keys\n• For 32K tokens, enough bytes for five 1024-bits keys\n• For larger tokens, enough bytes for seven 1024-bits keys"
LEGACY-FORMAT-VERSION="Legacy Format Version"
LEGACY-FORMAT-VERSION_help="Determines the token format during initialization\n\nValues:\n• 0 - Tokens are formatted as backwardly compatible (CardOS)\n• 4 - Tokens are not formatted as backwardly compatible (CardOS)\n• 5 - Format includes new RSA behavior that is not controlled by key size. Each key is created in a separate directory (CardOS 4.20 FIPS or Java Card-based)\n\n- Default is 4"

RSASecondaryAuthenicationMode="RSA Secondary Authentication Mode"
RSASecondaryAuthenicationMode_help="Determines how RSA private keys are created\n\nValues:\n• 0 - ETCK_2NDAUTH_PROMPT_NEVER\n      New RSA private keys are not protected with an additional password\n• 1 - ETCK_2NDAUTH_PROMPT_CONDITIONAL\n      •If an external application has set the CKA_ALWAYS_AUTHENTICATE attribute to true, new RSA private keys are protected with an additional password\n      •If the attribute has not been set, a prompt appears asking if a new RSA private key is to be protected with an additional password\n• 2 - ETCK_2NDAUTH_PROMPT_ALWAYS\n      A prompt appears asking if a new RSA private key is to be protected with an additional password\n• 3 - ETCK_2NDAUTH_MANDATORY\n      New RSA private keys must be protected with an additional password\n\n- Default is 3"
PrivateDataCaching="Private Data Caching"
PrivateDataCaching_help="If EnablePrvCache is true, determines if private data is cached\n\nValues:\n• 0 - Private data is not cached\n• 1 - Private data is cached when the token is logged on and erased when the token is logged off\n• 2 - Private data is cached and saved\n\n- Default is 2 (Full caching)"

;InitApp settings"

AdvancedView="Advanced View"
AdvancedView_help="Determines if the 'Advanced' button is enabled in the eToken Properties application\n\nValues:\n• 1 (True) - The button is enabled\n• 0 (False)- The button is disabled\n\n- Default is 1 (True)"
ShowInTray="Show Tray Icon"
ShowInTray_help="Determines if the eToken PKI Client tray icon is displayed when eToken PKI Client is launched\n\nValues:\n• 1 (True) - The tray icon is displayed\n• 0 (False)- The tray icon is not displayed\n\n- Default is 1 (True)"

;UI settings"
UseDefaultPassword="Use Default Password"
UseDefaultPassword_help="Determines if the 'Change Password at First Logon' process uses the default eToken Password (1234567890) as the old password, without requiring the user to supply it\n\nValues:\n• 1 (True) - The default eToken Password is automatically inserted in the password field\n• 0 (False)- The default eToken Password is not automatically inserted in the password field\n\n- Default is 0 (False)"
ShowDecimalSerial="Show Decimal Serial Number"
ShowDecimalSerial_help="Determines if the eToken Properties Information window displays the eToken serial number in hexadecimal or in decimal format\n\nValues:\n• 1 (True) - Displays the serial number in decimal format\n• 0 (False)- Displays the serial number in hexadecimal format\n\n- Default is 0 (False)"

;CAPI Settings
PasswordTimeout="Password Timeout"
PasswordTimeout_help="Determines the number of minutes the CAPI UI-required password is valid\n\nValues:\n• >=0\n  (0 = No timeout)\n\n- Default is 0"
LogoutMode="Logout Mode"
LogoutMode_help="Determines if the user is prompted to enter a password for each operation requiring the user to be logged on\n\nValues:\n• 1 (True) - A password prompt is displayed each time\n• 0 (False)- A password prompt is not displayed each time\n\n- Default is 0 (False)"
AsciiPassword="ASCII Password"
AsciiPassword_help="Determines if non-ASCII characters are supported in eToken Passwords, enabling a string containing non-ASCII characters to be used as a smartcard logon password\n\nValues:\n• 1 (True) - Non-ASCII character are supported\n• 0 (False)- Only ASCII characters are supported\n\n- Default is 0 (False)"

;IEXPLORER.EXE
NoDefaultKeyContainer="No Default Key Container"
NoDefaultKeyContainer_help="Determines if an enrollment certificate from the Microsoft CA service is downloaded to use for creating a user certificate\n\n Note:\n The NoDefaultKeyContainer value is set per process on a per machine basis.\n\nValues:\n• 1 (True) - A Microsoft CA service enrollment certificate is downloaded\n• 0 (False)- A Microsoft CA service enrollment certificate is not downloaded\n\n- Default is\n• 1 (True)  for the IEXPLORE.EXE process\n• 0 (False) otherwise"

;Certificate Store
PropagateUserCertificates="Propagate User Certificates"
PropagateUserCertificates_help="Determines if all user certificates on the token are exported to the user store\n\n Note:\n The PropagateUserCertificates value is saved on a per user basis in HKEY_CURRENT_USER, and not in HKEY_LOCAL_MACHINE.\n\nValues:\n• 1 (True) - User certificates are exported to the user store\n• 0 (False)- User certificates are not exported to the user store\n\n- Default is 1 (True)"
PropagateCACertificates="Propagate CA Certificates"
PropagateCACertificates_help="Determines if all CA certificates on the token are exported to the Trusted CA store\n\nValues:\n• 1 (True) - CA certificates are exported to the Trusted CA store\n• 0 (False)- CA certificates are not exported to the Trusted CA store\n\n- Default is 1 (True)"
SynchronizeStore="Synchronize Store"
SynchronizeStore_help="Determines if store synchronization is enabled\n\nValues:\n• 1 (True) - Store synchronization is enabled\n• 0 (False)- Store synchronization is disabled\n\n- Default is 1 (True)"
RemoveUserCertsOnTokenRemove="Remove User Certificates upon Token Removal"
RemoveUserCertsOnTokenRemove_help="Determines if user certificates are removed from the user store when the token from which they were exported is removed\n\n Note:\n Not limited to the selected token\n\nValues:\n• 1 (True) - User certificates are removed from the user store\n• 0 (False)- User certificates are not removed from the user store\n\n- Default is 1 (True)"
AddToTokenOnNewCertInStore="Add to Token upon New Certificates in Store"
AddToTokenOnNewCertInStore_help="Determines if an option is displayed to import the certificate to the selected token when a new certificate with exportable keys is added to the user store\n\nValues:\n• 1 (True) - An option is displayed to import a new certificate\n• 0 (False)- An option is not displayed to import a new certificate\n\n- Default is 1 (True)"
RemoveFromStoreOnRemoveFromToken="Remove from Store upon Removal from Token"
RemoveFromStoreOnRemoveFromToken_help="Determines if a certificate is removed from the user store when that certificate is removed from the token\n\nValues:\n• 1 (True) - The certificate is removed from the user store\n• 0 (False)- The certificate is not removed from the user store\n\n- Default is 1 (True)"
RemoveFromTokenOnRemoveFromStore="Remove from Token upon Removal from Store"
RemoveFromTokenOnRemoveFromStore_help="Determines if an option is displayed to remove the certificate from the token when that certificate is removed from the user store\n\nValues:\n• 0 - Never; an option is not displayed to remove the certificate\n• 1 - Always; an option is displayed to remove the certificate\n• 2 - An option is displayed to remove only those certificates whose templates are listed in the registry setting 'RemoveFromTokenOnRemoveFromStoreTemplates'\n\n- Default is 0"
RemoveFromTokenOnRemoveFromStoreTemplates="Remove from Token upon Removal from Store Templates"
RemoveFromTokenOnRemoveFromStoreTemplates_help="Lists the templates of the certificates to be removed from the token when the certificates are removed from the user store\n\nRelevant only when the registry setting 'RemoveFromTokenOnRemoveFromStore' is set to 2\n\nValue:\n• Template name(s)"
CertsToRemoveStorePeriod="Certificates to Remove Storage Period"
CertsToRemoveStorePeriod_help="Determines the number of days to attempt to remove certificates from a token that is not connected\n\nRelevant only when the registry setting 'RemoveFromTokenOnRemoveFromStore' is set to 1 or 2\n\nValue:\n• >=0\n\n- Default is 7"

;Monitor Settings
NotifyPasswordExpiration="Notify Password Expiration"
NotifyPasswordExpiration_help="Determines if the user is notified by a pop-up message in the system tray when the token password is about to expire\n\nValues:\n• 1 (True) - Notify the user\n• 0 (False)- Do not notify the user\n\n- Default is 1 (True)"

;Password Quality
pqMinLen="Password - Minimum Length"
pqMinLen_help="Determines the minimum password length\n\nValue:\n• >=4\n\n- Default is 6"
pqMixChars="Password - Force Mixed Characters"
pqMixChars_Help="Determines if complexity requirements are enforced, requiring mixed characters in a password\nThe characters to mix are: upper-case letters, lower-case letters, numbers, and special characters\n\nValues:\n• Auto - Complexity requirements are enforced\n• Manual - Manual complexity requirements are enforced\n- Default is Auto"
pqMaxAge="Password - Expiry Period"
pqMaxAge_help="Determines the maximum number of days a password is valid\n\nValues:\n• >=0\n  (0 = No expiration)\n\n- Default is 0"
pqMinAge="Password - Minimum Period"
pqMinAge_help="Determines the minimum number of days required before a password change\n\nValues:\n• >=0\n  (0 = No minimum)\n\n- Default is 0"
pqWarnPeriod="Password - Expiration Warning Period"
pqWarnPeriod_help="Determines the number of days before expiration during which a warning is displayed\n\nValues:\n• >=0\n  (0 = No warning)\n\n- Default is 0"
pqHistorySize="Password - History Size"
pqHistorySize_help="Determines the number of recent passwords that may not be repeated\n\nValues:\n• >=0\n  (0 = No minimum)\n\n- Default is 10"
pqNumbers="Password - Include Numbers"
pqNumbers_help="Determines if the password may include numbers\n\nValues:\n• 0 - Numbers are permitted\n• 1 - Numbers are forbidden\n• 2 - Numbers are mandatory\n\n- Default is 0"
pqLowerCase="Password - Include Lower-Case"
pqLowerCase_help="Determines if the password may include lower-case letters\n\nValues:\n• 0 - Lower-case letters are permitted\n• 1 - Lower-case letters are forbidden\n• 2 - Lower-case letters are mandatory\n\n- Default is 0"
pqUpperCase="Password - Include Upper-Case"
pqUpperCase_help="Determines if the password may include upper-case letters\n\nValues:\n• 0 - Upper-case letters are permitted\n• 1 - Upper-case letters are forbidden\n• 2 - Upper-case letters are mandatory\n\n- Default is 0"
pqSpecial="Password - Include Special Characters"
pqSpecial_help="Determines if the password may include special characters, such as @, !, &\n\nValues:\n• 0 - Special characters are permitted\n• 1 - Special characters are forbidden\n• 2 - Special characters are mandatory\n\n- Default is 0"
pqMaxRepeated="Password - Maximum Repeated"
pqMaxRepeated_help="Determines the maximum number of consecutive times any character can be used in a password\n\nValues:\n• >=0\n  (0 = No maximum)\n\n- Default is 3"
pqCheckInit="Password Quality Check on Initialization"
pqCheckInit_help="Determines if the eToken Password quality is checked and enforced when a token is initialized\n\n Note:\n We recommend that this policy not be set when tokens are enrolled using TMS.\n\nValues:\n• 1 (True) - The password policy is enforced\n• 0 (False)- The password policy is not enforced\n\n- Default is 0"
pqModifiable="Password Quality Modifiable"
pqModifiable_help="Determines if the password policy on a newly initialized token can be modified by the owner\nSee the 'pqOwner' registry key\n\nValues:\n• 1 (True) - The password policy can be modified by the owner\n• 0 (False)- The password policy cannot be modified by the owner\n\n- Default is:\n• 1 (True) for administrator-owned tokens\n• 0 (False) for user-owned tokens"
pqOwner="Password Quality Owner"
pqOwner_help="Determines the owner of the password policy on a newly initialized token, and determines the default of the 'pqModifiable' registry key\n\nValues:\n• 0 - The owner of the password policy is an administrator\n• 1 - The owner of the password policy is a user\n\n- Default is:\n• 0 (Administrator) if the token has an Administrator Password\n• 1 (User) if the token does not have an Administrator Password"

AccessControl="Access Control"
AccessControl_help="Determines which GUI Access Control Settings are enabled in the eToken Properties application\n\nValues:\n• 1 (True) - The option is enabled\n• 0 (False)- The option is disabled\n\n- Default is 1 (True) for all properties"
